## util-linux 2.40.2

=== meson_options.txt ===
# enable various dependencies (no prefixes)

option('tinfo',       type : 'feature')
option('ncursesw',    type : 'feature')
option('ncurses',     type : 'feature')
option('slang',       type : 'feature', value : 'disabled',
       description : 'compile cfdisk with slang rather than ncurses')
option('cryptsetup',  type : 'feature')
option('cryptsetup-dlopen',  type : 'feature')
option('zlib',        type : 'feature')
option('readline',    type : 'feature')
option('nls',         type : 'feature')
option('libutil',     type : 'feature')
option('libutempter', type : 'feature')
option('libpcre2-posix',     type : 'feature')
option('libuser',     type : 'feature')
option('selinux',     type : 'feature', value : 'disabled')
option('audit',       type : 'feature', value : 'disabled')
option('smack',       type : 'feature', value : 'disabled')
option('magic',       type : 'feature')
option('econf',       type : 'feature')
option('systemd',     type : 'feature')
option('sysvinit',    type : 'feature', value : 'disabled',
       description : 'build and install sysvinit startup scripts')
option('btrfs',       type : 'feature')
option('widechar',    type : 'feature',
       description : 'compile with wide character support')

# enable building of various programs and features ("build-" prefix)

option('build-python', type : 'feature', value : 'auto',
       description : 'build python extension module')
option('python', type : 'string', value : 'python3',
       description : 'build extension module for this python')

option('build-libblkid', type : 'feature',
       description : 'build libblkid and many related utilities')
option('build-libuuid', type : 'feature',
       description : 'build libuuid and uuid utilities')
option('build-liblastlog2', type : 'feature',
       description : 'build liblastlog2 and lastlog2 utilities')
option('build-pam-lastlog2', type : 'feature',
       description : 'build PAM lastlog2 module')
option('build-libmount', type : 'feature',
       description : 'build libmount')
option('build-libsmartcols', type : 'feature',
       description : 'build libsmartcols')
option('build-libfdisk', type : 'feature',
       description : 'build libfdisk')


option('build-fdisks', type : 'feature',
       description : 'build fdisk(8), sfdisk(8) and cfdisk(8)')
option('build-mount', type : 'feature',
       description : 'build mount(8) and umount(8)')
option('build-swapon', type : 'feature',
       description : 'build swapon')
option('build-swapoff', type : 'feature',
       description : 'build swapoff')
option('build-chcpu', type : 'feature',
       description : 'build chcpu')
option('build-losetup', type : 'feature',
       description : 'build losetup')
option('build-zramctl', type : 'feature',
       description : 'build zramctl')
option('build-lsns', type : 'feature',
       description : 'build lsns')
option('build-fsck', type : 'feature',
       description : 'build fsck')
option('build-partx', type : 'feature',
       description : 'build addpart, delpart, partx')
option('build-script', type : 'feature',
       description : 'build script')
option('build-scriptlive', type : 'feature',
       description : 'build scriptlive')

option('build-uuidd', type : 'feature',
       description : 'build the uuid daemon')

option('build-wipefs', type : 'feature',
       description : 'build wipefs')
option('build-mountpoint', type : 'feature',
       description : 'build mountpoint')
option('build-fallocate', type : 'feature',
       description : 'build fallocate')
option('build-unshare', type : 'feature',
       description : 'build unshare')
option('build-nsenter', type : 'feature',
       description : 'build nsenter')
option('build-setpriv', type : 'feature',
       description : 'build setpriv')
option('build-hardlink', type : 'feature',
       description : 'build hardlink')
option('build-eject', type : 'feature',
       description : 'build eject')
option('build-agetty', type : 'feature',
       description : 'build agetty')
option('build-cramfs', type : 'feature',
       description : 'build fsck.cramfs, mkfs.cramfs')
option('build-bfs', type : 'feature',
       description : 'build mkfs.bfs')
option('build-minix', type : 'feature',
       description : 'build fsck.minix, mkfs.minix')
option('build-fdformat', type : 'feature', value : 'disabled',
       description : 'build fdformat')
option('build-blockdev', type : 'feature',
       description : 'build blockdev')
option('build-hwclock', type : 'feature',
       description : 'build hwclock')
option('build-lslogins', type : 'feature',
       description : 'build lslogins')
option('build-wdctl', type : 'feature',
       description : 'build wdctl')
option('build-cal', type : 'feature',
       description : 'build cal')
option('build-logger', type : 'feature',
       description : 'build logger')
option('build-lsblk', type : 'feature',
       description : 'build lsblk')
option('build-lslocks', type : 'feature',
       description : 'build lslocks')
option('build-findmnt', type : 'feature',
       description : 'build findmnt')
option('build-lsfd', type : 'feature',
       description : 'build lsfd')
option('build-switch_root', type : 'feature',
       description : 'switch_root')
option('build-pivot_root', type : 'feature',
       description : 'build pivot_root')
option('build-lsmem', type : 'feature',
       description : 'build lsmem')
option('build-lsirq', type : 'feature',
       description : 'build lsirq')
option('build-irqtop', type : 'feature',
       description : 'build irqtop')
option('build-chmem', type : 'feature',
       description : 'build chmem')
option('build-ipcmk', type : 'feature',
       description : 'build ipcmk')
option('build-ipcrm', type : 'feature',
       description : 'build ipcrm')
option('build-ipcs', type : 'feature',
       description : 'build ipcs')
option('build-rfkill', type : 'feature',
       description : 'build rfkill')
option('build-tunelp', type : 'feature',
       description : 'build tunelp')
option('build-fstrim', type : 'feature',
       description : 'build fstrim')
option('build-dmesg', type : 'feature',
       description : 'build dmesg')
option('build-fsfreeze', type : 'feature',
       description : 'build fsfreeze')
option('build-blkdiscard', type : 'feature',
       description : 'build blkdiscard')
option('build-blkzone', type : 'feature',
       description : 'build blkzone')
option('build-blkpr', type : 'feature',
       description : 'build blkpr')
option('build-ldattach', type : 'feature',
       description : 'build ldattach')
option('build-rtcwake', type : 'feature',
       description : 'build rtcwake')
option('build-setarch', type : 'feature',
       description : 'build setarch')
option('build-kill', type : 'feature',
       description : 'build kill')
option('build-last', type : 'feature',
       description : 'build last')
option('build-utmpdump', type : 'feature',
       description : 'build utmpdump')
option('build-line', type : 'feature',
       description : 'build line')
option('build-mesg', type : 'feature',
       description : 'build mesg')
option('build-raw', type : 'feature', value : 'disabled',
       description : 'build raw')
option('build-rename', type : 'feature',
       description : 'build rename')
option('build-vipw', type : 'feature',
       description : 'build vipw')
option('build-newgrp', type : 'feature',
       description : 'build newgrp')
option('build-chfn-chsh', type : 'feature',
       description : 'build chfn and chsh')
option('build-login', type : 'feature',
       description : 'build login')
option('build-nologin', type : 'feature',
       description : 'build nologin')
option('build-sulogin', type : 'feature',
       description : 'build sulogin')
option('build-su', type : 'feature',
       description : 'build su')
option('build-runuser', type : 'feature',
       description : 'build runuser')
option('build-ul', type : 'feature',
       description : 'build ul')
option('build-more', type : 'feature',
       description : 'build more')
option('build-pg', type : 'feature',
       description : 'build pg')
option('build-pipesz', type : 'feature',
       description : 'build pipesz')
option('build-fadvise', type : 'feature',
       description : 'build fadvise')
option('build-enosys', type : 'feature',
       description : 'build enosys')
option('build-lsclocks', type : 'feature',
       description : 'build lsclocks')
option('build-setterm', type : 'feature',
       description : 'build setterm')
option('build-schedutils', type : 'feature',
       description : 'build chrt, ionice, taskset')
option('build-wall', type : 'feature',
       description : 'build wall')
option('build-write', type : 'feature',
       description : 'build write')
option('build-bash-completion', type : 'feature',
       description : 'install bash completion files')
option('build-pylibmount', type : 'feature',
       description : 'build pylibmount')

# static programs

option('static-programs', type : 'array',
       value : [],
       choices : ['losetup', 'mount', 'umount', 'fdisk', 'sfdisk', 'blkid', 'nsenter', 'unshare'],
       description : 'list of programs to also build with static linking')

# feature selection and other configuration

option('program-tests',
       type: 'boolean', value : true,
       description : 'build test programs')

option('chfn-chsh-password',
       type : 'boolean', value : true,
       description : 'require the user to enter the password in chfn and chsh')
option('chsh-only-listed',
       type : 'boolean', value : true,
       description : 'chsh: only allow shells in /etc/shells')
option('use-tty-group',
       type : 'boolean', value : true,
       description : 'install wall and write setgid tty')
option('build-plymouth-support',
       type : 'feature',
       description : 'support plymouth feature in sulogin and agetty')
option('use-tls',
       type : 'boolean', value : true,
       description : 'use thread-local storage')
option('pg-bell',
       type : 'boolean', value : true,
       description : 'should pg ring the bell on invalid keys?')
option('colors-default', type: 'boolean', value: true,
       description: 'Enables colorized output from utils by default')
option('allow-32bit-time', type: 'boolean', value: false,
       description: 'Allow 32bit time_t type')

option('fs-search-path',
       type : 'string',
       value : '/sbin:/sbin/fs.d:/sbin/fs',
       description : 'default search path for fs helpers')
option('fs-search-path-extra',
       type : 'string',
       description : 'additional search path for fs helpers')
option('vendordir',
       type: 'string',
       description : 'directory for distribution provided econf files')

option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('lastlog-compat-symlink', type : 'boolean',
       value : false,
       description : 'create lastlog compat symlink')

=== debian/changelog ===
util-linux (2.40.2-14ubuntu1.1) plucky; urgency=medium

  * debian/patches/ubuntu/lp-2111723-0001-lscpu-use-CPU-types-de-
    duplication.patch: [PATCH 1/3] lscpu: use CPU types de-duplication.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0002-tests-update-lscpu-vmware_fpe-
    output.patch: [PATCH 2/3] tests: update lscpu vmware_fpe output.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0003-tests-add-dump-from-ARM-with-
    A510-A710-A715-X3.patch: [PATCH 3/3] tests: add dump from ARM with
    A510+A710+A715+X3.  Thanks to Karel Zak <kzak@redhat.com>.  Closes
    LP: #2111723.

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Thu, 05 Jun 2025 15:03:52 +0200

util-linux (2.40.2-14ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091862).
      Note: this is the first merge of this package made through git-ubuntu.
      That explains some changes of formatting in the changelog entries.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
    Dropped changes:
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-[...].patch
      This is now in d/p/upstream-master/libblkid-fix-spurious-[...].patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 16 Dec 2024 13:12:37 +0100

util-linux (2.40.2-14) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/tests: add 'login' test

  [ Chris Hofstaedtler ]
  * tests/login: explicitly depend on passwd for useradd

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Jan 2025 15:12:09 +0100

util-linux (2.40.2-13) unstable; urgency=medium

  * Add patches from upstream master branch fixing various bugs,
    incl. fixes for cachestat on alpha.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 13:52:42 +0100

util-linux (2.40.2-12) unstable; urgency=medium

  * Stop building utmpdump, should not be necessary on wtmpdb systems
  * Stop marking mkfds-socketpair test as failing
  * Skip tmpfs-sensitive tests if fstype cannot be determined
  * Amend NEWS entry to hint updating /root/.profile (Closes: #1088009)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:35:11 +0100

util-linux (2.40.2-11) unstable; urgency=medium

  * tests: Temporarily mark fincore as failing in unshare
  * Stop installing mesg, write

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Nov 2024 13:03:57 +0100

util-linux (2.40.2-10) unstable; urgency=medium

  * d/gbp.conf: set debian-branch to debian/unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Nov 2024 23:01:29 +0100

util-linux (2.40.2-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix newgrp permissions only on Linux

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix tv_usec formatting (Closes: #1083006)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2024 20:13:03 +0200

util-linux (2.40.2-8) unstable; urgency=medium

  * Mark nologin, newgrp binaries and man pages linux-any
  * Install manpages using dh_install
  * Import patches from upstream master
    * newgrp: Optionally execute a program after group change
    * Treat out of memory as error
    * agetty: add "systemd" to --version output
    * lscpu: optimize query virt pci device
    * more: make sure we have data on stderr
    Thanks to Gábor Németh <homar@riseup.net> (Closes: #1078122)
  * Revert "Remove sg symlink to newgrp"
  * Install sg symlink only on Linux
  * Install write(1) manpage
  * salsa-ci: add nodoc profile

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 09 Sep 2024 23:20:25 +0200

util-linux (2.40.2-7) unstable; urgency=medium

  * login: update Section to admin (like in src:shadow)
    Thanks to Johannes Schauer Marin Rodrigues <josch@debian.org>
  * Stop installing getopt-example.tcsh.
    Per lintian tag csh-considered-harmful and policy section 10.4.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 12:29:34 +0200

util-linux (2.40.2-6) unstable; urgency=medium

  * Remove sg symlink to newgrp.
    Our newgrp does not take a command to execute, so stop pretending
    it works like sg. At least for now, we will not have sg.
    Addresses #1078122.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2024 18:35:53 +0200

util-linux (2.40.2-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Do not build login package for stage1 (Closes: #1078027)

  [ Sven Joachim ]
  * login: fix installing of /etc/pam.d/login (Closes: #1078036)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Aug 2024 21:19:26 +0200

util-linux (2.40.2-4) unstable; urgency=medium

  * Upload to unstable.

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.7.0
  * Patch login to support our PAM setup

  [ Helmut Grohne ]
  * Drop lastlog2 and libpam-lastlog2 from stage1 build (Closes: #1077967)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 17:20:49 +0200

util-linux (2.40.2-3) experimental; urgency=medium

  * Take over login package from src:shadow (Closes: #833256)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 02:54:35 +0200

util-linux (2.40.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/lastlog2.install: install systemd files only on Linux.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 00:31:55 +0200



=== debian/control ===
Source: util-linux
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 asciidoctor <!stage1 !nodoc>,
 bc <!stage1 !nocheck>,
 bison,
 flex,
 gettext,
 libaudit-dev [linux-any] <!stage1>,
 libcap-ng-dev [linux-any] <!stage1>,
 libcrypt-dev <!stage1>,
 libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
 libncurses-dev,
 libpam0g-dev <!stage1>,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libsqlite3-dev,
 libsystemd-dev [linux-any] <!stage1>,
 libtool,
 libudev-dev [linux-any] <!stage1>,
 netbase <!stage1 !nocheck>,
 pkgconf,
 po-debconf,
 po4a,
 socat <!stage1 !nocheck>,
 systemd [linux-any] <!stage1>,
 systemd-dev [linux-any] <!stage1>,
 zlib1g-dev,
Build-Conflicts:
 libedit-dev,
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/util-linux
Vcs-Git: https://salsa.debian.org/debian/util-linux.git
Homepage: https://github.com/util-linux/util-linux
X-Style: black

Package: util-linux
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 sensible-utils,
Suggests:
 dosfstools,
 kbd,
 util-linux-extra,
 util-linux-locales,
 wtmpdb,
Provides:
 hardlink,
Conflicts:
 hardlink,
Replaces:
 hardlink,
Pre-Depends:
# (Pre-)Depend on libpam-*, so runuser/su work.
 libpam-modules,
 libpam-runtime,
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system. Some of the more
 important utilities included in this package allow you to view kernel
 messages, create new filesystems, view block device information,
 interface with real time clock, etc.

Package: util-linux-locales
Architecture: all
Build-Profiles: <!stage1>
Section: localization
Priority: optional
Depends:
 util-linux (>= ${source:Upstream-Version}),
Breaks:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Replaces:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Multi-Arch: foreign
Description: locales files for util-linux
 This package contains the internationalization files for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English, or read manual pages in another
 language than English.

Package: mount
Architecture: linux-any
Build-Profiles: <!stage1>
Section: admin
Pre-Depends:
 ${shlibs:Depends},
Suggests:
 nfs-common,
Multi-Arch: foreign
Description: tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 bsdextrautils,
Multi-Arch: foreign
Description: basic utilities from 4.4BSD-Lite
 This package contains the bare minimum of BSD utilities needed for a Debian
 system: logger, renice, script, scriptlive, scriptreplay and wall. The
 remaining standard BSD utilities are provided by bsdextrautils.

Package: bsdextrautils
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Replaces:
 bsdmainutils (<< 12.1.3),
Breaks:
 bsdmainutils (<< 12.1.3),
Multi-Arch: foreign
Description: extra utilities from 4.4BSD-Lite
 This package contains some extra BSD utilities: col, colcrt, colrm, column,
 hd, hexdump, look, ul.
 Other BSD utilities are provided by bsdutils and calendar.

Package: fdisk
Architecture: any
Priority: important
Recommends:
 sensible-utils,
Multi-Arch: foreign
Description: collection of partitioning utilities
 This package contains the classic fdisk, sfdisk and cfdisk partitioning
 utilities from the util-linux suite.
 .
 The utilities included in this package allow you to partition
 your hard disk. The utilities supports both modern and legacy
 partition tables (eg. GPT, MBR, etc).
 .
 The fdisk utility is the classical text-mode utility.
 The cfdisk utility gives a more userfriendly curses based interface.
 The sfdisk utility is mostly for automation and scripting uses.

Package: fdisk-udeb
Architecture: hurd-any linux-any
Build-Profiles: <!stage1 !noudeb>
Priority: optional
Section: debian-installer
Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: libblkid1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: block device ID library
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.

Package: libblkid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down block device ID library, for debian-installer
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid1 (= ${binary:Version}),
 libc6-dev | libc-dev,
 uuid-dev,
Multi-Arch: same
Description: block device ID library - headers
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This package contains the development environment for the blkid library.

Package: libfdisk1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: fdisk partitioning library
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.

Package: libfdisk1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down fdisk partitioning library, for debian-installer
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This is a minimal package for debian-installer.

Package: libfdisk-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libfdisk1 (= ${binary:Version}),
 uuid-dev,
Multi-Arch: same
Description: fdisk partitioning library - headers
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This package contains the development environment for the fdisk library.

Package: libmount1
Architecture: any
Section: libs
Priority: optional
Suggests:
 cryptsetup-bin [linux-any],
Multi-Arch: same
Description: device mounting library
 This device mounting library is used by mount and umount helpers.

Package: libmount1-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Priority: optional
Architecture: linux-any
Description: stripped down device mounting library, for debian-installer
 The device mounting library, used by mount and umount helpers.
 .
 This is a minimal package for debian-installer.

Package: libmount-dev
Architecture: linux-any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libmount1 (= ${binary:Version}),
 libselinux1-dev,
Multi-Arch: same
Description: device mounting library - headers
 This device mounting library is used by mount and umount helpers.
 .
 This package contains the development environment for the mount library.

Package: libsmartcols1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: smart column output alignment library
 This smart column output alignment library is used by fdisk utilities.

Package: libsmartcols1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down smart column output alignment library, for debian-installer
 This smart column output alignment library is used by fdisk utilities.
 .
 This is a minimal package for debian-installer.

Package: libsmartcols-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libc6-dev | libc-dev,
 libsmartcols1 (= ${binary:Version}),
Multi-Arch: same
Description: smart column output alignment library - headers
 This smart column output alignment library is used by fdisk utilities.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Architecture: any
Section: libs
Priority: optional
Breaks:
 libuuid1t64 (<< ${source:Version}),
Replaces:
 libuuid1t64,
Provides:
 libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc],
Suggests:
 uuid-runtime,
Multi-Arch: same
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Pre-Depends:
 libuuid1,
Depends:
 adduser,
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate UUIDs, especially time-based
 UUIDs, in a secure and guaranteed-unique fashion, even in the face of
 large numbers of threads trying to grab UUIDs running on different CPUs.
 It is used by libuuid as well as the uuidgen program.

Package: libuuid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down Universally Unique ID library, for debian-installer

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

CONFOPTS += --enable-usrdir-path
CONFOPTS += --disable-makeinstall-chown
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --with-selinux
CONFOPTS += --with-smack
CONFOPTS += --enable-partx

# Currently causes catastrophic failure with our overlayroot tpmfs,
# deleted lower setup as created by overlayroot / cloud-initrd as used
# by MAAS LP: #2037417
CONFOPTS += --disable-libmount-mountfd-support

ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-systemd --without-udev --without-audit
	CONFOPTS += --disable-newgrp --disable-login --disable-nologin
else
	CONFOPTS += --with-systemd --with-udev --with-audit
	CONFOPTS += --enable-newgrp --enable-login --enable-nologin
endif

ifneq ($(filter pkg.util-linux.noverity,$(DEB_BUILD_PROFILES)),)
	CONFOPTS += --without-cryptsetup
else
	CONFOPTS += --with-cryptsetup=dlopen
endif
endif

# As a result of CVE-2024-28085, we no longer install mesg/write.
CONFOPTS += --disable-mesg
CONFOPTS += --disable-write

# build static versions of programs used in fdisk-udeb and util-linux-udeb
CONFOPTS += --enable-static-programs=fdisk,sfdisk,blkid

# Help welcome packaging the (libmount) python bindings.
# See http://bugs.debian.org/811361
CONFOPTS += --without-python

# disable utilities shipped by other packages
# => procps
CONFOPTS += --disable-kill
# => passwd
CONFOPTS += --disable-chfn-chsh
# => bsdmainutils
CONFOPTS += --disable-cal
# => wtmpdb
CONFOPTS += --disable-last --disable-utmpdump

# Keep hwclock as GPLv2 (and others)
CONFOPTS += --disable-hwclock-gplv3

ifeq ($(DEB_HOST_ARCH),hurd-i386)
# hurd porters plan to drop 32bit before 2038
	CONFOPTS += --disable-year2038
endif

# Get the list of binary package, except lib* and *-udeb, from
# debian/control instead of hardcoding the list when installing
# bash-completions below.
BINARYPACKAGES := $(shell awk '/^Package: /{if($$2 !~ /^lib|-udeb$$/) print $$2}' $(CURDIR)/debian/control )

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES))-$(DEB_HOST_ARCH_OS),-linux)
export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
else
export deb_systemdsystemunitdir = debhelper needs this variable even when it doesn't need it
endif

%:
	dh $@

override_dh_autoreconf:
	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

override_dh_auto_install:
	dh_auto_install
	#
	# remove *.la files
	rm -f debian/tmp/usr/lib/*/*.la
	#
	# Avoid shipping static libraries.
	# - libblkid.a is used by e2fsprogs.
	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete -print
	#
	# Remove programs we do not install
	find debian/tmp/ -name 'addpart*' -delete -print
	find debian/tmp/ -name 'delpart*' -delete -print
	find debian/tmp/ -name 'irqtop*' -delete -print
	find debian/tmp/ -name 'setpgid*' -delete -print
	#
	# show installed man pages
	find debian/tmp/usr/share/man

override_dh_auto_clean:
	sed -i 's/# Linux only # //' debian/login.pam
	dh_auto_clean
	# drop arch-overrides, generated in dh_install by dh-exec usage.
	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	# remove postinst generated in dh_installdeb
	rm -f debian/util-linux.postinst

override_dh_install:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# generate arch-override, as dh-exec install-rename can only run once.
	[ -f debian/util-linux.install.$(DEB_HOST_ARCH) ] || \
		debian/util-linux.install > \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	[ -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) ] || \
		debian/uuid-runtime.install > \
		debian/uuid-runtime.install.$(DEB_HOST_ARCH)
endif
	#
	install -D -p -m644 debian/fdisk-udeb.lintian-overrides \
		debian/fdisk-udeb/usr/share/lintian/overrides/fdisk-udeb
	dh_install \
		-Nfdisk-udeb -Nlibblkid1-udeb \
		-Nlibfdisk1-udeb -Nlibsmartcols1-udeb -Nlibuuid1-udeb \
		-Nutil-linux-udeb
	dh_install --remaining-packages
	#
	# Install bash-completions only for binaries we ship
	for PACKAGE in $(BINARYPACKAGES) ; do \
	for BINARY in debian/$$PACKAGE/bin/* debian/$$PACKAGE/sbin/* \
			debian/$$PACKAGE/usr/bin/* \
			debian/$$PACKAGE/usr/sbin/* ; \
	do \
		BASENAME=$$(basename $$BINARY); \
		BCDIR=usr/share/bash-completion/completions/; \
		BCNAME=$$BCDIR/$$BASENAME ; \
		if [ "$$BASENAME" != '*' ] && find "debian/tmp/$$BCNAME" -quit; \
		then \
			echo "$$PACKAGE: Installing $$BCNAME"; \
			[ -d debian/$$PACKAGE/$$BCDIR ] || \
				mkdir -p debian/$$PACKAGE/$$BCDIR; \
			mv debian/tmp/$$BCNAME debian/$$PACKAGE/$$BCNAME; \
		fi; \
	done; \
	done
	#
	rm -rf debian/*-udeb/usr/share/doc

override_dh_installman:
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	:
else
	dh_installman --language=C
endif

override_dh_missing:
	dh_missing --list-missing

override_dh_installinit:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# install uuidd sysvinit script
	make misc-utils/uuidd.rc
	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
	dh_installinit --name=uuidd --restart-after-upgrade
	rm -f debian/uuid-runtime.uuidd.init
endif

override_dh_installpam:
ifneq ($(DEB_HOST_ARCH_OS),linux)
	sed -i 's/^session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
endif
	dh_installpam --package=login
	dh_installpam --package=util-linux --name=runuser
	dh_installpam --package=util-linux --name=runuser-l
	dh_installpam --package=util-linux --name=su
	dh_installpam --package=util-linux --name=su-l

ifeq (linux,$(DEB_HOST_ARCH_OS))
override_dh_installsystemd:
	dh_installsystemd -putil-linux fstrim.timer
	dh_installsystemd -putil-linux fstrim.service
	dh_installsystemd --remaining-packages
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	dh_auto_test --max-parallel=1
else
	@echo "WARNING: non-linux detected, making tests non-fatal."
	dh_auto_test --max-parallel=1 || true
endif

execute_before_dh_installdeb:
ifeq ($(DEB_HOST_ARCH_OS), linux)
	# due to UL_REQUIRES_LINUX([more]), only set up pager alternative
	# on linux -- this avoids running uname in the maintainer script
	# as doing so would be unreliable for chrootless installations
	cp debian/util-linux.postinst.linux debian/util-linux.postinst
endif

=== debian/tests/control ===
Tests:
 oversized-chunks,
Depends:
 bash,
 bc,
 bsdextrautils,
 bsdutils,
 dpkg,
 grep,
 mount,
 util-linux,
Restrictions:
 allow-stderr,

Tests:
 libblkid-dev,
Depends:
 build-essential,
 libblkid-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 libmount-dev,
Depends:
 build-essential,
 libmount-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 libsmartcols-dev,
Depends:
 build-essential,
 libsmartcols-dev,
 pkg-config,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 uuid-dev,
Depends:
 build-essential,
 pkg-config,
 uuid-dev,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 login,
Depends:
 expect,
 login,
 passwd,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,

## util-linux 2.40.3

=== debian/changelog ===
util-linux (2.40.3-1.0nosystemd1) nosystemd; urgency=medium

  * depends on pam changed
  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 10 Jan 2025 13:05:25 +0200

util-linux (2.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch from upstream to fix build of Romanian fsck.minix.8 manpage.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 09 Jan 2025 14:13:24 +0100

## util-linux 2.40.4

=== debian/changelog ===
util-linux (2.40.4-5) unstable; urgency=medium

  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 11:34:50 +0100

util-linux (2.40.4-4) unstable; urgency=medium

  [ Jörg Behrmann ]
  * Install exch (Closes: #1095655)

  [ Chris Hofstaedtler ]
  * Set Multi-Arch: same for liblastlog2-dev
  * Mark "login" test as flaky
  * Install localized manpages for exch(1)
  * debian/tests: drop oversized-chunks
  * Skip fadvise/drop test in salsa ci
  * Move resizepart from util-linux to util-linux-extra

  [ Florent 'Skia' Jacquet ]
  * d/tests: fix login test in case things™ are slow

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 14:21:56 +0100

util-linux (2.40.4-3) unstable; urgency=medium

  * Fix disabling colors, with patch from upstream (Closes: #1094283)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 05 Feb 2025 01:59:56 +0100

util-linux (2.40.4-2) unstable; urgency=medium

  * Apply upstream patch to forbid fallocate --posix with other options
    (Closes: #1092875)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 28 Jan 2025 00:36:44 +0100

util-linux (2.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patch to fix Romanian fsck.minix.8 manpage build.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 Jan 2025 12:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,7 @@
  libedit-dev,
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>,
 Standards-Version: 4.7.0
@@ -396,3 +395,4 @@
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Description: stripped down Universally Unique ID library, for debian-installer
+ The libuuid library generates and parses 128-bit Universally Unique IDs

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,6 @@
 CONFOPTS += --with-selinux
 CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
-
-# Currently causes catastrophic failure with our overlayroot tpmfs,
-# deleted lower setup as created by overlayroot / cloud-initrd as used
-# by MAAS LP: #2037417
-CONFOPTS += --disable-libmount-mountfd-support
 
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit

## util-linux 2.41~rc1

=== debian/changelog ===
util-linux (2.41~rc1-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * Fix mq_open lib missing on hurd

  [ Chris Hofstaedtler ]
  * Force UTF-8 locale during build
  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 13:19:39 +0100

util-linux (2.41~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental.
  * Rebase patches.
  * Bump uuid_time64 symbol to 2.40, for all archs.
  * Update dylib symbols.
  * Update liblastlog2-dev manual pages list.
  * Install coresched (into util-linux-extra).
  * Install bits (into util-linux-extra).
  * Install scols-filter(5) manpage.
  * Install uuidd-sysusers.conf, stop creating /var/lib/libuuid in packaging.
  * udebs: install static programs from debian/tmp.
  * Install rename bash-completion.
  * Update localised manual pages list.
  * Use d/not-installed to document not installed files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Feb 2025 07:16:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  debhelper-compat (= 13),
  dh-exec,
  dh-package-notes,
+ dh-sequence-installsysusers,
  dh-sequence-zz-debputy-rrr (>= 0.1.23~),
  asciidoctor <!stage1 !nodoc>,
  bc <!stage1 !nocheck>,
@@ -395,4 +396,3 @@
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Description: stripped down Universally Unique ID library, for debian-installer
- The libuuid library generates and parses 128-bit Universally Unique IDs
